# Generated by Django 2.2.4 on 2019-09-11 12:58

from django.db import migrations, models
import django.db.models.deletion
import utils.models


class Migration(migrations.Migration):

    dependencies = [
        ('establishment', '0016_remove_establishment_name'),
    ]

    operations = [
        migrations.AddField(
            model_name='establishment',
            name='name',
            field=models.CharField(default='', max_length=255, verbose_name='name'),
        ),
        migrations.AlterField(
            model_name='establishment',
            name='address',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.PROTECT, to='location.Address', verbose_name='address'),
        ),
        migrations.AlterField(
            model_name='establishment',
            name='description',
            field=utils.models.TJSONField(blank=True, default=None, help_text='{"en-GB":"some text"}', null=True, verbose_name='description'),
        ),
        migrations.AlterField(
            model_name='establishment',
            name='establishment_subtypes',
            field=models.ManyToManyField(related_name='subtype_establishment', to='establishment.EstablishmentSubType', verbose_name='subtype'),
        ),
        migrations.AlterField(
            model_name='establishment',
            name='establishment_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='establishment', to='establishment.EstablishmentType', verbose_name='type'),
        ),
        migrations.AlterField(
            model_name='establishment',
            name='price_level',
            field=models.PositiveIntegerField(blank=True, default=None, null=True, verbose_name='price level'),
        ),
        migrations.AlterField(
            model_name='establishment',
            name='public_mark',
            field=models.PositiveIntegerField(blank=True, default=None, null=True, verbose_name='public mark'),
        ),
        migrations.AlterField(
            model_name='establishment',
            name='toque_number',
            field=models.PositiveIntegerField(blank=True, default=None, null=True, verbose_name='toque number'),
        ),
    ]
